# DBScriptRunnerImpl.html Sample

This topic inludes the source code for the DBScriptRunnerImpl.html Sample.

## Sample Location

This sample is located in the following directory in your WebLogic Workshop installation:

BEA_HOME/weblogic81/samples/workshop/ExtensionDevKit/ControlDevKit/DBScripter/docs/help/doc/en/partners/DBScripter/java-class/dbScript/

## Sample Source Code

    <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN""http://www.w3.org/TR/REC-html40/loose.dtd">
    <!--NewPage-->
    <HTML>
    <HEAD>
    <!-- Generated by javadoc on Fri Oct 10 16:04:27 PDT 2003 -->
    <TITLE>
    DBScriptRunnerImpl
    </TITLE>
    <META NAME="keywords" CONTENT="dbScript.DBScriptRunnerImpl,DBScriptRunnerImpl class">
    <LINK REL ="stylesheet" TYPE="text/css" HREF="../stylesheet.css" TITLE="Style">
    </HEAD>
    <SCRIPT>
    function asd()
    {
    parent.document.title="DBScriptRunnerImpl";
    }
    </SCRIPT>
    <BODY BGCOLOR="white" onload="asd();">

    <!-- ========== START OF NAVBAR ========== -->
    <A NAME="navbar_top"><!-- --></A>
    <TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0">
    <TR>
    <TD COLSPAN=3 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
    <A NAME="navbar_top_firstrow"><!-- --></A>
    <TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3">
      <TR ALIGN="center" VALIGN="top">
      <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
      <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
      <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
      <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
      <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
      <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
      <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
      </TR>
    </TABLE>
    </TD>
    <TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
    </EM>
    </TD>
    </TR>

    <TR>
    <TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
    &nbsp;PREV CLASS&nbsp;
    &nbsp;NEXT CLASS</FONT></TD>
    <TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
      <A HREF="../index.html" TARGET="_top"><B>FRAMES</B></A>  &nbsp;
    &nbsp;<A HREF="DBScriptRunnerImpl.html" TARGET="_top"><B>NO FRAMES</B></A>  &nbsp;
    &nbsp;
    <SCRIPT>
      <!--
      if(window==top) {
        document.writeln('<A HREF="../allclasses-noframe.html" TARGET=""><B>All Classes</B></A>');
      }
      //-->
    </SCRIPT>
    <NOSCRIPT>
    <A HREF="../allclasses-noframe.html" TARGET=""><B>All Classes</B></A>
    </NOSCRIPT>
    </FONT></TD>
    </TR>
    <TR>
    <TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
      SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
    <TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
    DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
    </TR>
    </TABLE>
    <!-- =========== END OF NAVBAR =========== -->

    <HR>
    <!-- ======== START OF CLASS DATA ======== -->
    <H2>
    <FONT SIZE="-1">
    dbScript</FONT>
    <BR>
    Class DBScriptRunnerImpl</H2>
    <PRE>
    java.lang.Object
      |
      +--<B>dbScript.DBScriptRunnerImpl</B>
    </PRE>
    <DL>
    <DT><B>All Implemented Interfaces:</B> <DD><A HREF="../dbScript/DBScriptRunner.html">DBScriptRunner</A></DD>
    </DL>
    <HR>
    <DL>
    <DT>public class <B>DBScriptRunnerImpl</B><DT>extends java.lang.Object<DT>implements <A HREF="../dbScript/DBScriptRunner.html">DBScriptRunner</A></DL>

    <P>
    Implementation of DBSriptRunner sample custom Java control; see
     <a href="../../navDBScriptRunner.html">DBScriptRunner Control</a>.
    <P>

    <P>
    <DL>
    <DT><B>See Also:</B><DD><a href="../../navDBScriptRunner.html">DBScriptRunner Control</a>.</DL>
    <HR>

    <P>
    <!-- ======== NESTED CLASS SUMMARY ======== -->

    <A NAME="nested_class_summary"><!-- --></A>
    <TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
    <TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
    <TD COLSPAN=2><FONT SIZE="+2">
    <B>Nested Class Summary</B></FONT></TD>
    </TR>
    </TABLE>
    &nbsp;<A NAME="nested_classes_inherited_from_class_dbScript.DBScriptRunner"><!-- --></A>
    <TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
    <TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
    <TD><B>Nested classes inherited from class dbScript.<A HREF="../dbScript/DBScriptRunner.html">DBScriptRunner</A></B></TD>
    </TR>
    <TR BGCOLOR="white" CLASS="TableRowColor">
    <TD><CODE><A HREF="../dbScript/DBScriptRunner.Callback.html">DBScriptRunner.Callback</A></CODE></TD>
    </TR>
    </TABLE>
    &nbsp;
    <!-- =========== FIELD SUMMARY =========== -->

    <!-- ======== CONSTRUCTOR SUMMARY ======== -->

    <A NAME="constructor_summary"><!-- --></A>
    <TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
    <TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
    <TD COLSPAN=2><FONT SIZE="+2">
    <B>Constructor Summary</B></FONT></TD>
    </TR>
    <TR BGCOLOR="white" CLASS="TableRowColor">
    <TD><CODE><B><A HREF="../dbScript/DBScriptRunnerImpl.html#DBScriptRunnerImpl()">DBScriptRunnerImpl</A></B>()</CODE>

    <BR>
    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
    </TR>
    </TABLE>
    &nbsp;
    <!-- ========== METHOD SUMMARY =========== -->

    <A NAME="method_summary"><!-- --></A>
    <TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
    <TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
    <TD COLSPAN=2><FONT SIZE="+2">
    <B>Method Summary</B></FONT></TD>
    </TR>
    <TR BGCOLOR="white" CLASS="TableRowColor">
    <TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
    <CODE>&nbsp;void</CODE></FONT></TD>
    <TD><CODE><B><A HREF="../dbScript/DBScriptRunnerImpl.html#context_onAcquire()">context_onAcquire</A></B>()</CODE>

    <BR>
    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
    </TR>
    <TR BGCOLOR="white" CLASS="TableRowColor">
    <TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
    <CODE>&nbsp;java.lang.Object</CODE></FONT></TD>
    <TD><CODE><B><A HREF="../dbScript/DBScriptRunnerImpl.html#invoke(java.lang.reflect.Method, java.lang.Object[])">invoke</A></B>(java.lang.reflect.Method&nbsp;method,
           java.lang.Object[]&nbsp;args)</CODE>

    <BR>
    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Extensible.invoke handles all extended interface methods
     Have to use this in order to have method-level annotations.</TD>
    </TR>
    </TABLE>
    &nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
    <TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
    <TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
    <TD><B>Methods inherited from class java.lang.Object</B></TD>
    </TR>
    <TR BGCOLOR="white" CLASS="TableRowColor">
    <TD><CODE>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</CODE></TD>
    </TR>
    </TABLE>
    &nbsp;
    <P>

    <!-- ============ FIELD DETAIL =========== -->

    <!-- ========= CONSTRUCTOR DETAIL ======== -->

    <A NAME="constructor_detail"><!-- --></A>
    <TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
    <TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
    <TD COLSPAN=1><FONT SIZE="+2">
    <B>Constructor Detail</B></FONT></TD>
    </TR>
    </TABLE>

    <A NAME="DBScriptRunnerImpl()"><!-- --></A><H3>
    DBScriptRunnerImpl</H3>
    <PRE>
    public <B>DBScriptRunnerImpl</B>()</PRE>
    <DL>
    </DL>

    <!-- ============ METHOD DETAIL ========== -->

    <A NAME="method_detail"><!-- --></A>
    <TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
    <TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
    <TD COLSPAN=1><FONT SIZE="+2">
    <B>Method Detail</B></FONT></TD>
    </TR>
    </TABLE>

    <A NAME="context_onAcquire()"><!-- --></A><H3>
    context_onAcquire</H3>
    <PRE>
    public void <B>context_onAcquire</B>()
                           throws java.lang.Exception</PRE>
    <DL>
    <DD><DL>
    </DL>
    </DD>
    <DD><DL>

    <DD><CODE>java.lang.Exception</CODE></DL>
    </DD>
    </DL>
    <HR>

    <A NAME="invoke(java.lang.reflect.Method, java.lang.Object[])"><!-- --></A><H3>
    invoke</H3>
    <PRE>
    public java.lang.Object <B>invoke</B>(java.lang.reflect.Method&nbsp;method,
                                   java.lang.Object[]&nbsp;args)
                            throws java.lang.Exception</PRE>
    <DL>
    <DD>Extensible.invoke handles all extended interface methods
     Have to use this in order to have method-level annotations.
    <P>
    <DD><DL>
    </DL>
    </DD>
    <DD><DL>

    <DD><CODE>java.lang.Exception</CODE></DL>
    </DD>
    </DL>
    <!-- ========= END OF CLASS DATA ========= -->
    <HR>

    <!-- ========== START OF NAVBAR ========== -->
    <A NAME="navbar_bottom"><!-- --></A>
    <TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0">
    <TR>
    <TD COLSPAN=3 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
    <A NAME="navbar_bottom_firstrow"><!-- --></A>
    <TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3">
      <TR ALIGN="center" VALIGN="top">
      <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
      <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
      <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
      <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
      <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
      <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
      <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
      </TR>
    </TABLE>
    </TD>
    <TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
    </EM>
    </TD>
    </TR>

    <TR>
    <TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
    &nbsp;PREV CLASS&nbsp;
    &nbsp;NEXT CLASS</FONT></TD>
    <TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
      <A HREF="../index.html" TARGET="_top"><B>FRAMES</B></A>  &nbsp;
    &nbsp;<A HREF="DBScriptRunnerImpl.html" TARGET="_top"><B>NO FRAMES</B></A>  &nbsp;
    &nbsp;
    <SCRIPT>
      <!--
      if(window==top) {
        document.writeln('<A HREF="../allclasses-noframe.html" TARGET=""><B>All Classes</B></A>');
      }
      //-->
    </SCRIPT>
    <NOSCRIPT>
    <A HREF="../allclasses-noframe.html" TARGET=""><B>All Classes</B></A>
    </NOSCRIPT>
    </FONT></TD>
    </TR>
    <TR>
    <TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
      SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
    <TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
    DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
    </TR>
    </TABLE>
    <!-- =========== END OF NAVBAR =========== -->

    <HR>

    </BODY>
    </HTML>